
VIRTUAL CREDIT CARD - Bug #15290

Android [TREATS] [TREATS Point] App Crash when click Tambah button (Add more than the

quantity have)

19 December 2022 10:28 PM - hsulynn pang

Status: Closed Start date: 19 December 2022

Priority: High Due date:  

Assignee: hsulynn pang % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

user profile: ntbsec04

steps:

(1) login

(2) swipe to the right for Kartu Kredit

(3) select the credit card 4260130060454008 for TREATS

(4) at the Customer Transaction History screen, click My TREATS

(5) at the My TREATS Rewards screen, click Redeem Reward TREATS

(6) at the Point tab, click Tambah button

(7) Add more than the quantity have (eg: the quantity in response is 10)

Actual result: It can be added to 11 and above. App crash when click Tambah button

Expected result: It can be added to max 10 only as the quantity in response is 10

History

#1 - 19 December 2022 10:29 PM - hsulynn pang

- Subject changed from Android [TREATS] [TREATS Point] App Crash when click Tambah button to Android [TREATS] [TREATS Point] App Crash

when click Tambah button (Add more than the quantity have)

#2 - 20 December 2022 01:12 AM - Septi Gizka Tiara

- Status changed from New to Resolved

- Assignee changed from Abdul Halim Baharom to Septi Gizka Tiara

commit : 

https://maybankdigitalteam.visualstudio.com/DigitalAcceleration/_git/Android_DigitalAcceleration/commit/7f05d47eda5b4c4dd7662d9456c548f52f8ac

daf?refName=refs%2Fheads%2Fmaster-revamp%2Fv2.0_vcc

#3 - 20 December 2022 02:00 PM - Septi Gizka Tiara

- Assignee changed from Septi Gizka Tiara to hsulynn pang

#4 - 20 December 2022 03:05 PM - hsulynn pang

- File WhatsApp Video 2022-12-20 at 15.04.26.mp4 added

- File WhatsApp Image 2022-12-20 at 15.04.33.jpeg added

- Status changed from Resolved to Assigned

- Assignee changed from hsulynn pang to Septi Gizka Tiara

user can't add until 10. it stucks there and hard to add

#5 - 20 December 2022 03:25 PM - hsulynn pang
https://maybankdigitalteam.visualstudio.com/DigitalAcceleration/_git/Android_DigitalAcceleration/commit/7f05d47eda5b4c4dd7662d9456c548f52f8acdaf?refName=refs%2Fheads%2Fmaster-revamp%2Fv2.0_vcc
https://maybankdigitalteam.visualstudio.com/DigitalAcceleration/_git/Android_DigitalAcceleration/commit/7f05d47eda5b4c4dd7662d9456c548f52f8acdaf?refName=refs%2Fheads%2Fmaster-revamp%2Fv2.0_vcc


- Status changed from Assigned to In Progress

#6 - 20 December 2022 05:49 PM - Septi Gizka Tiara

- Status changed from In Progress to Resolved

#7 - 21 December 2022 08:57 AM - hsulynn pang

- Assignee changed from Septi Gizka Tiara to hsulynn pang

#8 - 21 December 2022 11:38 AM - hsulynn pang

- File retest.mp4 added

- Status changed from Resolved to Closed

tested ok

Files

WhatsApp Image 2022-12-19 at 22.25.18.jpeg 34.6 KB 19 December 2022 hsulynn pang

WhatsApp Image 2022-12-19 at 22.25.19.jpeg 62.1 KB 19 December 2022 hsulynn pang

WhatsApp Image 2022-12-20 at 15.04.33.jpeg 60.4 KB 20 December 2022 hsulynn pang

WhatsApp Video 2022-12-20 at 15.04.26.mp4 2.16 MB 20 December 2022 hsulynn pang

retest.mp4 713 KB 21 December 2022 hsulynn pang
